1. 3D Secure Payment
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
  • Payment
    • CheckStatus
      POST
    • ConfirmPayment
      POST
    • CompletePayment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Cards
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • NonSecure Payment with Hidden Card
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. 3D Secure Payment

3D Secure Card Payment

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/paySmart3D
paySmart3D is a secure payment gateway that processes online transactions using encrypted connections. After selecting paySmart3D at checkout, users are redirected to a secure payment page to complete the transaction. Upon successful authorization, the system returns a real-time payment confirmation.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠401Failed
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/paySmart3D' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "cc_holder_name": "John Doe",
  "cc_no": "4508034508034509",
  "expiry_month": "12",
  "expiry_year": "2026",
  "cvv": "000",
  "currency_code": "TRY",
  "installments_number": "1",
  "invoice_id": "5874544",
  "invoice_description": "TEST",
  "name": "John",
  "surname": "Doe",
  "total": "55.55",
  "merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
  "items": "[\n  {\"name\":\"pr001\",\"price\":\"2.30\",\"quantity\":1,\"description\":\"pr001\"},\n  {\"name\":\"pr001\",\"price\":\"2.70\",\"quantity\":1,\"description\":\"pr001\"},\n  {\"name\":\"pr001\",\"price\":\"5.00\",\"quantity\":2,\"description\":\"pr001\"}\n]\n",
  "cancel_url": "string",
  "return_url": "string",
  "is_commission_from_user": "1",
  "commission_by": "merchant",
  "hash_key": "stirng",
  "bill_address1": "stirng",
  "bill_address2": "stirng",
  "bill_city": "stirng",
  "bill_postcode": "integer",
  "bill_state": "stirng",
  "bill_country": "stirng",
  "bill_email": "stirng",
  "bill_phone": "integer",
  "card_program": "stirng",
  "ip": "integer",
  "transaction_type": "Auth",
  "sale_web_hook_key": "string",
  "payment_completed_by": "merchant",
  "response_method": "POST",
  "metadata": "string",
  "app_lang": "en"
}'
Response Response Example
200 - Success
{
	"sipay_status": "1",
	"order_no": "VP17749690188158024",
	"order_id": "VP17749690188158024",
	"invoice_id": "7PAXU5D2IMBQ3KD-1774969017",
	"status_code": "100",
	"status_description": "Payment Successfully Completed",
	"sipay_payment_method": "1",
	"credit_card_no": "450803****4509",
	"transaction_type": "Auth",
	"payment_status": "1",
	"payment_method": "1",
	"error_code": "100",
	"error": "Payment Successfully Completed",
	"auth_code": "P54802",
	"merchant_commission": "0.1",
	"user_commission": "0",
	"merchant_commission_percentage": "1",
	"merchant_commission_fixed": "0",
	"installment": "1",
	"amount": "5",
	"payment_reason_code": null,
	"payment_reason_code_detail": null,
	"hash_key": "7fa34583e3b2dd60:32f6:6sEV__qFOEiSvNHEVXCW4EJaJvD+dzeQzqoKiQG0kEDADdcGcrniJFJh5jdM+r2aBAMkOn71VUffdxEZ9BaEpUg==",
	"md_status": "1",
	"original_bank_error_code": null,
	"original_bank_error_description": null,
	"host_reference_id": "609000105269"
}
Modified at 2026-03-31 16:05:26
Previous
3D Secure Payment Flow
Next
3D Secure Recurring Payment
Built with